#include<bits/stdc++.h>
//#include"partition.h"
using namespace std;
//#define int long long
void output(vector<int> a){
    for(auto x:a) cout<<x<<' ';
    cout<<'\n';
}
vector<int> solve(vector<int> A){
    long long N=A.size(),ans=A.size(),S=0,minim=1e9;
    vector<int> best;
    for(auto x:A) S+=x;
    vector<int> q;
    for(int i=0;i<N;i++) q.push_back(i);
    do{
        int c1=0,c2=0;
        long long s=0;
        for(int i=0;i<N;i++){
            if(s>=S/2) c2++;
            else c1++;
            s+=A[q[i]];
        }
        if(abs(c1-c2)<minim){
            minim=abs(c1-c2);
            best=q;
        }
    }
    while(next_permutation(q.begin(),q.end()));
    return best;
}
int32_t main () {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin >> t ;
    for (int test=1; test<=t; test++) {
        int n;
        cin >> n ;
        vector <int> a(n);
        for (int i=0; i<n; i++) {
            cin >> a[i] ;
        }

        for (auto ind : solve(a)) {
            cout << ind << " ";
        }
        cout << endl ;
    }
    cout << endl ;
    return 0;
}
